using Coravel.Mailer.Mail;

namespace EnotaryoPH.Web.Mailables
{
    public class SignatoryInvitationMailable : Mailable<SignatoryViewModel>
    {
        private readonly SignatoryViewModel _model;

        public SignatoryInvitationMailable(SignatoryViewModel model) => _model = model;

        public override void Build() => this
            .To(_model.Email)
            .From("noreply@enotaryoph.com")
            .View("~/Views/Mail/SignatoryInvitation.cshtml", _model);
    }
}